# Ansible Role: borgbackup-sshd 💾 🐳

Single-user [OpenSSH server](https://www.openssh.com/) restricted to [BorgBackup](https://www.borgbackup.org/) backend

## Required Variables

```yaml
borgbackup_sshd_container_name: borgbackup_sshd
borgbackup_sshd_repository_path: /var/backups/borgbackup/
```

## Optional Variables

```yaml
borgbackup_sshd_container_image: fphammerle/borgbackup-sshd@sha256:2ac782a8e35742a0f90ea71423567df92d0772ebc04845fdc5d141987d8fe078
borgbackup_sshd_published_port: 2200
borgbackup_sshd_client_public_keys: |-
    ssh-rsa ...
    ssh-rsa ...
borgbackup_sshd_client_public_keys_append_only: |-
    ssh-rsa ...
    ssh-rsa ...
```

## Returned Variables

```yaml
borgbackup_sshd_host_keys
```
